###########################################################################
#
#   mess.mak
#
#   MESS target makefile
#
###########################################################################



###########################################################################
#################   BEGIN USER-CONFIGURABLE OPTIONS   #####################
###########################################################################

# uncomment next line to build imgtool
BUILD_IMGTOOL = 1

# uncomment next line to build castool
BUILD_CASTOOL = 1

# uncomment next line to build wimgtool
BUILD_WIMGTOOL = 1

# uncomment next line to build messtest
BUILD_MESSTEST = 1

# uncomment next line to build dat2html
BUILD_DAT2HTML = 1


###########################################################################
##################   END USER-CONFIGURABLE OPTIONS   ######################
###########################################################################



# include MESS core defines
include $(SRC)/mess/messcore.mak


#-------------------------------------------------
# specify available CPU cores
#-------------------------------------------------

CPUS += Z80
CPUS += Z180
CPUS += I8085
CPUS += M6502
CPUS += H6280
CPUS += I86
CPUS += I386
CPUS += NEC
CPUS += V30MZ
CPUS += V60
CPUS += MCS48
CPUS += MCS51
CPUS += M6800
CPUS += M6805
CPUS += HD6309
CPUS += M6809
CPUS += KONAMI
CPUS += M680X0
CPUS += T11
CPUS += S2650
CPUS += TMS340X0
CPUS += TMS9900
CPUS += Z8000
#CPUS += Z8001
CPUS += TMS32010
CPUS += TMS32025
CPUS += TMS32031
CPUS += TMS32051
CPUS += TMS57002
CPUS += CCPU
CPUS += ADSP21XX
CPUS += ASAP
#CPUS += AM29000
CPUS += UPD7810
CPUS += ARM
CPUS += ARM7
CPUS += JAGUAR
CPUS += CUBEQCPU
CPUS += ESRIP
CPUS += MIPS
CPUS += PSX
CPUS += SH2
CPUS += SH4
CPUS += DSP16A
CPUS += DSP32C
CPUS += PIC16C5X
CPUS += PIC16C62X
CPUS += G65816
CPUS += SPC700
CPUS += E1
CPUS += I860
CPUS += I960
CPUS += H83002
CPUS += H83334
CPUS += V810
CPUS += M37710
CPUS += POWERPC
CPUS += SE3208
CPUS += MC68HC11
CPUS += ADSP21062
CPUS += DSP56156
CPUS += RSP
CPUS += ALPHA8201
CPUS += COP400
CPUS += TLCS90
CPUS += TLCS900
CPUS += MB88XX
CPUS += MB86233
CPUS += SSP1601
CPUS += APEXC
CPUS += CP1610
CPUS += F8
CPUS += LH5801
CPUS += PDP1
CPUS += SATURN
CPUS += SC61860
CPUS += LR35902
CPUS += TMS7000
CPUS += SM8500
CPUS += MINX
CPUS += SSEM
CPUS += AVR8
CPUS += TMS0980
CPUS += I4004
CPUS += SUPERFX
CPUS += Z8
CPUS += I8008
CPUS += SCMP
#CPUS += MN10200
CPUS += COSMAC
CPUS += UNSP
CPUS += HCD62121
CPUS += PPS4
CPUS += UPD7725
CPUS += HD61700

#-------------------------------------------------
# specify available sound cores; some of these are
# only for MAME and so aren't included
#-------------------------------------------------

#SOUNDS += SAMPLES
SOUNDS += DAC
SOUNDS += DMADAC
SOUNDS += SPEAKER
SOUNDS += BEEP
SOUNDS += DISCRETE
SOUNDS += AY8910
SOUNDS += YM2151
SOUNDS += YM2203
SOUNDS += YM2413
SOUNDS += YM2608
SOUNDS += YM2610
SOUNDS += YM2610B
SOUNDS += YM2612
#SOUNDS += YM3438
SOUNDS += YM3812
#SOUNDS += YM3526
#SOUNDS += Y8950
#SOUNDS += YMF262
#SOUNDS += YMF271
#SOUNDS += YMF278B
#SOUNDS += YMZ280B
SOUNDS += SN76477
SOUNDS += SN76496
SOUNDS += POKEY
SOUNDS += TIA
SOUNDS += NES
SOUNDS += ASTROCADE
#SOUNDS += NAMCO
#SOUNDS += NAMCO_15XX
#SOUNDS += NAMCO_CUS30
#SOUNDS += NAMCO_52XX
#SOUNDS += NAMCO_63701X
SOUNDS += T6W28
#SOUNDS += SNKWAVE
#SOUNDS += C140
#SOUNDS += C352
#SOUNDS += TMS36XX
#SOUNDS += TMS3615
#SOUNDS += TMS5110
SOUNDS += TMS5220
SOUNDS += VLM5030
#SOUNDS += ADPCM
SOUNDS += MSM5205
#SOUNDS += MSM5232
SOUNDS += OKIM6258
SOUNDS += OKIM6295
#SOUNDS += OKIM6376
SOUNDS += UPD7759
SOUNDS += HC55516
#SOUNDS += K005289
#SOUNDS += K007232
SOUNDS += K051649
#SOUNDS += K053260
#SOUNDS += K054539
#SOUNDS += K056800
#SOUNDS += SEGAPCM
#SOUNDS += MULTIPCM
SOUNDS += SCSP
SOUNDS += AICA
SOUNDS += RF5C68
#SOUNDS += RF5C400
#SOUNDS += CEM3394
SOUNDS += QSOUND
SOUNDS += SAA1099
#SOUNDS += IREMGA20
SOUNDS += ES5503
#SOUNDS += ES5505
#SOUNDS += ES5506
#SOUNDS += BSMT2000
#SOUNDS += GAELCO_CG1V
#SOUNDS += GAELCO_GAE1
SOUNDS += C6280
#SOUNDS += SP0250
SOUNDS += SPU
SOUNDS += CDDA
#SOUNDS += ICS2115
#SOUNDS += ST0016
#SOUNDS += NILE
#SOUNDS += X1_010
#SOUNDS += VRENDER0
SOUNDS += VOTRAX
#SOUNDS += ES8712
SOUNDS += CDP1869
SOUNDS += S14001A
SOUNDS += WAVE
SOUNDS += SID6581
SOUNDS += SID8580
SOUNDS += SP0256
#SOUNDS += DIGITALKER
SOUNDS += CDP1863
SOUNDS += CDP1864
#SOUNDS += ZSG2
SOUNDS += MOS656X
#SOUNDS += S2636
SOUNDS += ASC
#SOUNDS += CUSTOM
SOUNDS += SOCRATES
SOUNDS += TMC0285
SOUNDS += TMS5200
#SOUNDS += CD2801
#SOUNDS += CD2802
#SOUNDS += M58817
#SOUNDS += TMC0281
#SOUNDS += TMS5100
#SOUNDS += TMS5110A
SOUNDS += LMC1992
SOUNDS += AWACS

#-------------------------------------------------
# this is the list of driver libraries that
# comprise MESS plus messdriv.o which contains
# the list of drivers
#-------------------------------------------------

DRVLIBS += \
	$(MAMEOBJ)/acorn.a \
	$(MAMEOBJ)/act.a \
	$(MAMEOBJ)/amiga.a \
	$(MAMEOBJ)/amstrad.a \
	$(MAMEOBJ)/apf.a \
	$(MAMEOBJ)/apple.a \
	$(MAMEOBJ)/applied.a \
	$(MAMEOBJ)/arcadia.a \
	$(MAMEOBJ)/ascii.a \
	$(MAMEOBJ)/at.a \
	$(MAMEOBJ)/atari.a \
	$(MAMEOBJ)/att.a \
	$(MAMEOBJ)/bally.a \
	$(MAMEOBJ)/bandai.a \
	$(MAMEOBJ)/be.a \
	$(MAMEOBJ)/bnpo.a \
	$(MAMEOBJ)/bondwell.a \
	$(MAMEOBJ)/booth.a \
	$(MAMEOBJ)/camputers.a \
	$(MAMEOBJ)/canon.a \
	$(MAMEOBJ)/cantab.a \
	$(MAMEOBJ)/casio.a \
	$(MAMEOBJ)/cbm.a \
	$(MAMEOBJ)/cccp.a \
	$(MAMEOBJ)/cce.a \
	$(MAMEOBJ)/ccs.a \
	$(MAMEOBJ)/chromatics.a \
	$(MAMEOBJ)/coleco.a \
	$(MAMEOBJ)/cromemco.a \
	$(MAMEOBJ)/comx.a \
	$(MAMEOBJ)/concept.a \
	$(MAMEOBJ)/conitec.a \
	$(MAMEOBJ)/cybiko.a \
	$(MAMEOBJ)/dai.a \
	$(MAMEOBJ)/ddr.a \
	$(MAMEOBJ)/dec.a \
	$(MAMEOBJ)/dicksmth.a \
	$(MAMEOBJ)/dms.a \
	$(MAMEOBJ)/dragon.a \
	$(MAMEOBJ)/drc.a \
	$(MAMEOBJ)/eaca.a \
	$(MAMEOBJ)/einis.a \
	$(MAMEOBJ)/elektor.a \
	$(MAMEOBJ)/elektrka.a \
	$(MAMEOBJ)/ensoniq.a \
	$(MAMEOBJ)/entex.a \
	$(MAMEOBJ)/epoch.a \
	$(MAMEOBJ)/epson.a \
	$(MAMEOBJ)/exeltel.a \
	$(MAMEOBJ)/exidy.a \
	$(MAMEOBJ)/fairch.a \
	$(MAMEOBJ)/fujitsu.a \
	$(MAMEOBJ)/funtech.a \
	$(MAMEOBJ)/galaxy.a \
	$(MAMEOBJ)/gamepark.a \
	$(MAMEOBJ)/grundy.a \
	$(MAMEOBJ)/hartung.a \
	$(MAMEOBJ)/heathkit.a \
	$(MAMEOBJ)/hec2hrp.a \
	$(MAMEOBJ)/hegener.a \
	$(MAMEOBJ)/hitachi.a \
	$(MAMEOBJ)/homebrew.a \
	$(MAMEOBJ)/homelab.a \
	$(MAMEOBJ)/hp.a \
	$(MAMEOBJ)/intel.a \
	$(MAMEOBJ)/intelgnt.a \
	$(MAMEOBJ)/interact.a \
	$(MAMEOBJ)/interton.a \
	$(MAMEOBJ)/intv.a \
	$(MAMEOBJ)/kaypro.a \
	$(MAMEOBJ)/koei.a \
	$(MAMEOBJ)/kyocera.a \
	$(MAMEOBJ)/luxor.a \
	$(MAMEOBJ)/magnavox.a \
	$(MAMEOBJ)/matsushi.a \
	$(MAMEOBJ)/mattel.a \
	$(MAMEOBJ)/mchester.a \
	$(MAMEOBJ)/memotech.a \
	$(MAMEOBJ)/mgu.a \
	$(MAMEOBJ)/microkey.a \
	$(MAMEOBJ)/mit.a \
	$(MAMEOBJ)/mits.a \
	$(MAMEOBJ)/mitsubishi.a \
	$(MAMEOBJ)/morrow.a \
	$(MAMEOBJ)/mos.a \
	$(MAMEOBJ)/motorola.a \
	$(MAMEOBJ)/multitch.a \
	$(MAMEOBJ)/nakajima.a \
	$(MAMEOBJ)/nascom.a \
	$(MAMEOBJ)/ne.a \
	$(MAMEOBJ)/nec.a \
	$(MAMEOBJ)/netronic.a \
	$(MAMEOBJ)/next.a \
	$(MAMEOBJ)/nintendo.a \
	$(MAMEOBJ)/nokia.a \
	$(MAMEOBJ)/novag.a \
	$(MAMEOBJ)/olivetti.a \
	$(MAMEOBJ)/omnibyte.a \
	$(MAMEOBJ)/orion.a \
	$(MAMEOBJ)/osborne.a \
	$(MAMEOBJ)/osi.a \
	$(MAMEOBJ)/palm.a \
	$(MAMEOBJ)/parker.a \
	$(MAMEOBJ)/pc.a \
	$(MAMEOBJ)/pcm.a \
	$(MAMEOBJ)/pcshare.a \
	$(MAMEOBJ)/pdp1.a \
	$(MAMEOBJ)/pel.a \
	$(MAMEOBJ)/philips.a \
	$(MAMEOBJ)/pitronic.a \
	$(MAMEOBJ)/poly88.a \
	$(MAMEOBJ)/psion.a \
	$(MAMEOBJ)/radio.a \
	$(MAMEOBJ)/rca.a \
	$(MAMEOBJ)/rm.a \
	$(MAMEOBJ)/robotron.a \
	$(MAMEOBJ)/rockwell.a \
	$(MAMEOBJ)/samcoupe.a \
	$(MAMEOBJ)/samsung.a \
	$(MAMEOBJ)/sanyo.a \
	$(MAMEOBJ)/sega.a \
	$(MAMEOBJ)/sgi.a \
	$(MAMEOBJ)/sharp.a \
	$(MAMEOBJ)/sinclair.a \
	$(MAMEOBJ)/skeleton.a \
	$(MAMEOBJ)/snk.a \
	$(MAMEOBJ)/sony.a \
	$(MAMEOBJ)/sord.a \
	$(MAMEOBJ)/special.a \
	$(MAMEOBJ)/sun.a \
	$(MAMEOBJ)/svi.a \
	$(MAMEOBJ)/svision.a \
	$(MAMEOBJ)/synertec.a \
	$(MAMEOBJ)/tandberg.a \
	$(MAMEOBJ)/tangerin.a \
	$(MAMEOBJ)/tatung.a \
	$(MAMEOBJ)/teamconc.a \
	$(MAMEOBJ)/tektroni.a \
	$(MAMEOBJ)/telenova.a \
	$(MAMEOBJ)/telercas.a \
	$(MAMEOBJ)/tem.a \
	$(MAMEOBJ)/tesla.a \
	$(MAMEOBJ)/test.a \
	$(MAMEOBJ)/thomson.a \
	$(MAMEOBJ)/ti.a \
	$(MAMEOBJ)/tiger.a \
	$(MAMEOBJ)/tigertel.a \
	$(MAMEOBJ)/tiki.a \
	$(MAMEOBJ)/tomy.a \
	$(MAMEOBJ)/toshiba.a \
	$(MAMEOBJ)/trs.a \
	$(MAMEOBJ)/unisys.a \
	$(MAMEOBJ)/veb.a \
	$(MAMEOBJ)/vidbrain.a \
	$(MAMEOBJ)/visual.a \
	$(MAMEOBJ)/votrax.a \
	$(MAMEOBJ)/vtech.a \
	$(MAMEOBJ)/wavemate.a \
	$(MAMEOBJ)/xerox.a \
	$(MAMEOBJ)/zpa.a \
	$(MAMEOBJ)/zvt.a \
	$(MAMEOBJ)/shared.a \

ifeq ($(TARGET),mess)
DRVLIBS += \
	$(MAMEOBJ)/mame.a
endif

#-------------------------------------------------
# the following files are MAME components and
# shared across a number of drivers
#-------------------------------------------------

$(MAMEOBJ)/mame.a: \
	$(MACHINE)/pckeybrd.o	\
	$(MACHINE)/archimds.o	\
	$(VIDEO)/archimds.o	\
	$(VIDEO)/amiga.o		\
	$(VIDEO)/amigaaga.o	\
	$(MACHINE)/amiga.o		\
	$(AUDIO)/amiga.o		\
	$(MACHINE)/cd32.o	\
	$(VIDEO)/tia.o			\
	$(MACHINE)/atari.o		\
	$(VIDEO)/atari.o		\
	$(VIDEO)/antic.o		\
	$(VIDEO)/gtia.o		\
	$(DRIVERS)/jaguar.o	\
	$(AUDIO)/jaguar.o		\
	$(VIDEO)/jaguar.o		\
	$(VIDEO)/astrocde.o	\
	$(MACHINE)/kabuki.o	\
	$(VIDEO)/pk8000.o		\
	$(VIDEO)/vdc.o			\
	$(VIDEO)/ppu2c0x.o		\
	$(AUDIO)/snes_snd.o	\
	$(MACHINE)/snes.o		\
	$(VIDEO)/snes.o		\
	$(MACHINE)/n64.o		\
	$(VIDEO)/n64.o			\
	$(VIDEO)/rdpblend.o	\
	$(VIDEO)/rdpfb.o		\
	$(VIDEO)/rdptpipe.o	\
	$(VIDEO)/rdpspn16.o	\
	$(MACHINE)/pcshare.o	\
	$(MACHINE)/megadriv.o  \
	$(MACHINE)/dc.o		\
	$(DRIVERS)/naomi.o 	\
	$(MACHINE)/dc.o		\
	$(VIDEO)/dc.o			\
	$(MACHINE)/naomi.o 	\
	$(MACHINE)/naomig1.o	\
	$(MACHINE)/naomibd.o	\
	$(MACHINE)/naomirom.o	\
	$(MACHINE)/naomigd.o	\
	$(MACHINE)/naomim1.o	\
	$(MACHINE)/naomim2.o	\
	$(MACHINE)/naomim4.o	\
	$(MACHINE)/awboard.o	\
	$(MACHINE)/mie.o		\
	$(MACHINE)/maple-dc.o	\
	$(MACHINE)/mapledev.o	\
	$(MACHINE)/dc-ctrl.o	\
	$(MACHINE)/jvs13551.o	\
	$(VIDEO)/dc.o			\
	$(VIDEO)/neogeo.o		\
	$(MACHINE)/neoprot.o	\
	$(MACHINE)/neocrypt.o	\
	$(MACHINE)/psx.o		\
	$(DRIVERS)/cdi.o		\
	$(MACHINE)/cdi070.o	\
	$(MACHINE)/cdicdic.o	\
	$(MACHINE)/cdislave.o	\
	$(VIDEO)/mcd212.o		\
	$(DRIVERS)/cd32.o  	\
	$(DRIVERS)/3do.o		\
	$(MACHINE)/3do.o		\
	$(DRIVERS)/vectrex.o	\
	$(VIDEO)/vectrex.o		\
	$(MACHINE)/vectrex.o	\
	$(DRIVERS)/saturn.o	\
	$(MACHINE)/stvcd.o		\
	$(MACHINE)/scudsp.o	\
	$(DRIVERS)/stvinit.o	\
	$(MACHINE)/stvprot.o	\
	$(MACHINE)/smpc.o          \
	$(VIDEO)/stvvdp1.o		\
	$(VIDEO)/stvvdp2.o		\
	$(DRIVERS)/cps1.o	\
	$(VIDEO)/cps1.o	\

#-------------------------------------------------
# the following files are general components and
# shared across a number of drivers
#-------------------------------------------------

$(MAMEOBJ)/shared.a: \
	$(AUDIO)/mea8000.o		\
	$(AUDIO)/spchroms.o	\
	$(DEVICES)/microdrv.o	\
	$(MACHINE)/74145.o		\
	$(MACHINE)/8530scc.o	\
	$(MACHINE)/at45dbxx.o	\
	$(MACHINE)/ay31015.o	\
	$(MACHINE)/er59256.o	\
	$(MACHINE)/hd63450.o	\
	$(MACHINE)/i82371ab.o	\
	$(MACHINE)/i82439tx.o	\
	$(MACHINE)/i8271.o		\
	$(MACHINE)/ieee488.o	\
	$(MACHINE)/isa.o		\
	$(MACHINE)/kb3600.o	\
	$(MACHINE)/kr2376.o	\
	$(MACHINE)/mc6843.o	\
	$(MACHINE)/mc6846.o	\
	$(MACHINE)/mc6854.o	\
	$(MACHINE)/mm58274c.o	\
	$(MACHINE)/mpc105.o	\
	$(MACHINE)/mos6530.o	\
	$(MACHINE)/s100.o		\
	$(MACHINE)/upd765.o	\
	$(MACHINE)/ncr5380.o	\
	$(MACHINE)/pc_lpt.o	\
	$(MACHINE)/pc_mouse.o	\
	$(MACHINE)/pcf8593.o	\
	$(MACHINE)/rs232.o		\
	$(MACHINE)/scsibus.o	\
	$(MACHINE)/smartmed.o	\
	$(MACHINE)/smc92x4.o	\
	$(MACHINE)/sst39vfx.o	\
	$(MACHINE)/terminal.o	\
	$(MACHINE)/teleprinter.o	\
	$(MACHINE)/upd7002.o	\
	$(MACHINE)/wd11c00_17.o	\
	$(MACHINE)/wd2010.o	\
	$(VIDEO)/dl1416.o		\
	$(VIDEO)/hd44780.o		\
	$(VIDEO)/hd66421.o		\
	$(VIDEO)/m6847.o		\
	$(VIDEO)/saa505x.o		\
	$(VIDEO)/tms3556.o		\
	$(VIDEO)/upd7220.o		\
	$(MACHINE)/applefdc.o	\
	$(DEVICES)/sonydriv.o	\
	$(DEVICES)/appldriv.o	\
	$(MACHINE)/dp8390.o	\
	$(MACHINE)/ne1000.o	\
	$(MACHINE)/ne2000.o	\
	$(MACHINE)/wd1772.o	\
	$(MACHINE)/3c503.o		\



#-------------------------------------------------
# manufacturer-specific groupings for drivers
#-------------------------------------------------

$(MAMEOBJ)/acorn.a:				\
	$(DRIVERS)/a310.o		\
	$(DRIVERS)/a6809.o		\
	$(DRIVERS)/a7000.o		\
	$(DRIVERS)/acrnsys1.o	\
	$(DRIVERS)/atom.o		\
	$(FORMATS)/atom_atm.o	\
	$(VIDEO)/bbc.o			\
	$(MACHINE)/bbc.o		\
	$(DRIVERS)/bbc.o		\
	$(DRIVERS)/bbcbc.o		\
	$(DRIVERS)/e01.o		\
	$(VIDEO)/electron.o	\
	$(MACHINE)/electron.o	\
	$(DRIVERS)/electron.o	\
	$(DRIVERS)/z88.o		\
	$(VIDEO)/z88.o			\

$(MAMEOBJ)/act.a:				\
	$(DRIVERS)/apricot.o	\
	$(DRIVERS)/apricotf.o	\
	$(DRIVERS)/victor9k.o	\

$(MAMEOBJ)/amiga.a:				\
	$(MACHINE)/amigacrt.o	\
	$(MACHINE)/amigacd.o	\
	$(MACHINE)/amigakbd.o	\
	$(DRIVERS)/amiga.o		\
	$(DRIVERS)/a3000.o		\
	$(DRIVERS)/ami1200.o	\

$(MAMEOBJ)/amstrad.a:			\
	$(DRIVERS)/amstrad.o	\
	$(MACHINE)/amstrad.o	\
	$(MACHINE)/cpcexp.o	\
	$(MACHINE)/cpc_ssa1.o	\
	$(MACHINE)/cpc_rom.o	\
	$(MACHINE)/mface2.o	\
	$(DRIVERS)/amstr_pc.o	\
	$(MACHINE)/amstr_pc.o	\
	$(DRIVERS)/pc1512.o	\
	$(MACHINE)/pc1512kb.o	\
	$(VIDEO)/pc1512.o		\
	$(VIDEO)/pc1640.o		\
	$(MACHINE)/isa_wdxt_gen.o	\
	$(VIDEO)/nc.o			\
	$(DRIVERS)/nc.o		\
	$(MACHINE)/nc.o		\
	$(VIDEO)/pcw.o			\
	$(DRIVERS)/pcw.o		\
	$(VIDEO)/pcw16.o		\
	$(DRIVERS)/pda600.o	\
	$(DRIVERS)/pcw16.o		\

$(MAMEOBJ)/apf.a:				\
	$(DRIVERS)/apf.o		\

$(MAMEOBJ)/apple.a:				\
	$(VIDEO)/apple2.o		\
	$(MACHINE)/apple2.o	\
	$(DRIVERS)/apple2.o	\
	$(VIDEO)/apple2gs.o	\
	$(MACHINE)/apple2gs.o	\
	$(DRIVERS)/apple2gs.o	\
	$(MACHINE)/ay3600.o	\
	$(MACHINE)/ap2_slot.o	\
	$(MACHINE)/ap2_lang.o	\
	$(MACHINE)/mockngbd.o	\
	$(MACHINE)/a2cffa.o	\
	$(MACHINE)/lisa.o		\
	$(DRIVERS)/lisa.o		\
	$(MACHINE)/nubus.o     \
	$(AUDIO)/mac.o			\
	$(VIDEO)/mac.o			\
	$(MACHINE)/mac.o		\
	$(DRIVERS)/mac.o		\
	$(VIDEO)/apple1.o		\
	$(MACHINE)/apple1.o	\
	$(DRIVERS)/apple1.o	\
	$(VIDEO)/apple3.o		\
	$(MACHINE)/apple3.o	\
	$(DRIVERS)/apple3.o	\
	$(MACHINE)/egret.o     \
	$(VIDEO)/nubus_48gc.o	\
	$(VIDEO)/nubus_cb264.o \
	$(VIDEO)/nubus_vikbw.o \
	$(VIDEO)/nubus_specpdq.o \
	$(VIDEO)/nubus_m2hires.o \
	$(VIDEO)/nubus_spec8.o \
	$(VIDEO)/nubus_radiustpd.o \
	$(MACHINE)/nubus_asntmc3b.o \
	$(VIDEO)/nubus_wsportrait.o \

$(MAMEOBJ)/applied.a:			\
	$(VIDEO)/mbee.o		\
	$(MACHINE)/mbee.o		\
	$(DRIVERS)/mbee.o		\

$(MAMEOBJ)/arcadia.a:			\
	$(DRIVERS)/arcadiam.o	\
	$(AUDIO)/arcadia.o		\
	$(VIDEO)/arcadia.o		\

$(MAMEOBJ)/ascii.a:                     \
	$(DRIVERS)/msx.o		\
	$(MACHINE)/msx.o		\
	$(MACHINE)/msx_slot.o	\

$(MAMEOBJ)/at.a:				\
	$(MACHINE)/at_keybc.o	\
	$(MACHINE)/ps2.o		\
	$(MACHINE)/cs4031.o	\
	$(MACHINE)/cs8221.o	\
	$(MACHINE)/at.o		\
	$(DRIVERS)/at.o		\

$(MAMEOBJ)/atari.a:				\
	$(MACHINE)/ataricrt.o	\
	$(MACHINE)/atarifdc.o	\
	$(DRIVERS)/atari400.o	\
	$(MACHINE)/a7800.o		\
	$(DRIVERS)/a7800.o		\
	$(VIDEO)/a7800.o		\
	$(DRIVERS)/a2600.o		\
	$(DRIVERS)/atarist.o	\
	$(VIDEO)/atarist.o 	\
	$(DRIVERS)/lynx.o		\
	$(AUDIO)/lynx.o		\
	$(MACHINE)/lynx.o		\
	$(DRIVERS)/portfoli.o	\

$(MAMEOBJ)/att.a:			\
	$(DRIVERS)/unixpc.o	\

$(MAMEOBJ)/bally.a:                     \
	$(DRIVERS)/astrocdem.o	\

$(MAMEOBJ)/bandai.a:			\
	$(DRIVERS)/pippin.o	\
	$(DRIVERS)/rx78.o		\
	$(DRIVERS)/wswan.o		\
	$(MACHINE)/wswan.o		\
	$(VIDEO)/wswan.o		\
	$(AUDIO)/wswan.o		\

$(MAMEOBJ)/be.a:				\
	$(DRIVERS)/bebox.o		\
	$(MACHINE)/bebox.o		\
	$(VIDEO)/cirrus.o		\

$(MAMEOBJ)/bnpo.a:				\
	$(DRIVERS)/b2m.o		\
	$(MACHINE)/b2m.o		\
	$(VIDEO)/b2m.o			\

$(MAMEOBJ)/bondwell.a:			\
	$(DRIVERS)/bw2.o		\
	$(DRIVERS)/bw12.o		\

$(MAMEOBJ)/booth.a:				\
	$(DRIVERS)/apexc.o		\

$(MAMEOBJ)/camputers.a:			\
	$(DRIVERS)/camplynx.o	\

$(MAMEOBJ)/canon.a:				\
	$(DRIVERS)/cat.o		\
	$(DRIVERS)/x07.o		\

$(MAMEOBJ)/cantab.a:			\
	$(DRIVERS)/acem.o		\
	$(FORMATS)/ace_ace.o	\

$(MAMEOBJ)/casio.a:			\
	$(DRIVERS)/casloopy.o	\
	$(DRIVERS)/cfx9850.o	\
	$(DRIVERS)/fp1100.o        \
	$(DRIVERS)/pv1000.o	\
	$(DRIVERS)/pv2000.o	\
	$(DRIVERS)/pb1000.o	\
	$(DRIVERS)/fp6000.o        \
	$(VIDEO)/hd44352.o		\

$(MAMEOBJ)/cbm.a:				\
	$(VIDEO)/pet.o			\
	$(DRIVERS)/pet.o		\
	$(MACHINE)/pet.o		\
	$(DRIVERS)/c64.o		\
	$(MACHINE)/c64exp.o	\
	$(MACHINE)/c64_std.o	\
	$(MACHINE)/c64_xl80.o	\
	$(MACHINE)/interpod.o	\
	$(DRIVERS)/vic20.o		\
	$(MACHINE)/vic1112.o	\
	$(AUDIO)/ted7360.o		\
	$(AUDIO)/t6721.o		\
	$(MACHINE)/c16.o		\
	$(DRIVERS)/c16.o		\
	$(DRIVERS)/cbmb.o		\
	$(MACHINE)/cbmb.o		\
	$(VIDEO)/cbmb.o		\
	$(DRIVERS)/c65.o		\
	$(DRIVERS)/c128.o		\
	$(MACHINE)/cbmiec.o	\
	$(MACHINE)/c1541.o		\
	$(MACHINE)/c1551.o		\
	$(MACHINE)/c1571.o		\
	$(MACHINE)/c1581.o		\
	$(MACHINE)/c2031.o		\
	$(MACHINE)/c2040.o		\
	$(MACHINE)/c8280.o		\
	$(MACHINE)/d9060.o		\
	$(DRIVERS)/clcd.o		\
	$(MACHINE)/cbm.o		\
	$(MACHINE)/cbmipt.o	\
	$(MACHINE)/c64.o   	\
	$(MACHINE)/c65.o		\
	$(MACHINE)/c128.o		\
	$(MACHINE)/64h156.o	\
	$(VIDEO)/vdc8563.o		\
	$(VIDEO)/vic6567.o		\
	$(VIDEO)/vic4567.o		\
	$(FORMATS)/cbm_snqk.o	\

$(MAMEOBJ)/cccp.a:				\
	$(DRIVERS)/argo.o		\
	$(DRIVERS)/cm1800.o	\
	$(VIDEO)/lviv.o		\
	$(DRIVERS)/lviv.o		\
	$(MACHINE)/lviv.o		\
	$(DRIVERS)/mikro80.o	\
	$(MACHINE)/mikro80.o	\
	$(VIDEO)/mikro80.o		\
	$(DRIVERS)/pk8000.o	\
	$(DRIVERS)/pk8020.o	\
	$(MACHINE)/pk8020.o	\
	$(VIDEO)/pk8020.o		\
	$(DRIVERS)/pyl601.o	\
	$(DRIVERS)/sm1800.o	\
	$(DRIVERS)/uknc.o		\
	$(DRIVERS)/ut88.o		\
	$(MACHINE)/ut88.o		\
	$(VIDEO)/ut88.o		\
	$(DRIVERS)/vector06.o	\
	$(MACHINE)/vector06.o	\
	$(VIDEO)/vector06.o	\

$(MAMEOBJ)/cce.a:				\
	$(DRIVERS)/mc1000.o	\

$(MAMEOBJ)/ccs.a:				\
	$(DRIVERS)/ccs2422.o	\
	$(DRIVERS)/ccs2810.o	\

$(MAMEOBJ)/chromatics.a:		\
	$(DRIVERS)/cgc7900.o	\
	$(VIDEO)/cgc7900.o		\

$(MAMEOBJ)/coleco.a:			\
	$(DRIVERS)/coleco.o	\
	$(MACHINE)/coleco.o	\
	$(DRIVERS)/adam.o		\

$(MAMEOBJ)/cromemco.a:			\
	$(DRIVERS)/c10.o		\

$(MAMEOBJ)/comx.a:				\
	$(DRIVERS)/comx35.o	\
	$(FORMATS)/comx35_comx.o	\
	$(MACHINE)/comxpl80.o	\
	$(VIDEO)/comx35.o		\
	$(MACHINE)/comxexp.o	\
	$(MACHINE)/comx_clm.o	\
	$(MACHINE)/comx_eb.o	\
	$(MACHINE)/comx_epr.o	\
	$(MACHINE)/comx_fd.o	\
	$(MACHINE)/comx_joy.o	\
	$(MACHINE)/comx_prn.o	\
	$(MACHINE)/comx_ram.o	\
	$(MACHINE)/comx_thm.o	\

$(MAMEOBJ)/concept.a:			\
	$(DRIVERS)/concept.o   \
	$(MACHINE)/concept.o	\
	$(MACHINE)/corvushd.o	\

$(MAMEOBJ)/conitec.a:			\
	$(DRIVERS)/prof80.o	\
	$(MACHINE)/ecbbus.o	\
	$(MACHINE)/ecb_grip.o	\
	$(DRIVERS)/prof180x.o	\

$(MAMEOBJ)/cybiko.a:			\
	$(DRIVERS)/cybiko.o	\
	$(MACHINE)/cybiko.o	\

$(MAMEOBJ)/dai.a:				\
	$(DRIVERS)/dai.o		\
	$(VIDEO)/dai.o			\
	$(AUDIO)/dai.o			\
	$(MACHINE)/tms5501.o	\
	$(MACHINE)/dai.o		\

$(MAMEOBJ)/ddr.a:				\
	$(DRIVERS)/ac1.o		\
	$(MACHINE)/ac1.o		\
	$(VIDEO)/ac1.o			\
	$(DRIVERS)/bcs3.o		\
	$(DRIVERS)/c80.o		\
	$(DRIVERS)/huebler.o	\
	$(DRIVERS)/jtc.o		\
	$(DRIVERS)/kramermc.o	\
	$(MACHINE)/kramermc.o	\
	$(VIDEO)/kramermc.o	\
	$(DRIVERS)/llc.o		\
	$(VIDEO)/llc.o			\
	$(MACHINE)/llc.o		\
	$(DRIVERS)/nanos.o		\
	$(DRIVERS)/vcs80.o		\

$(MAMEOBJ)/dec.a:				\
	$(DRIVERS)/dct11em.o	\
	$(DRIVERS)/dectalk.o	\
	$(DRIVERS)/pdp11.o		\
	$(DRIVERS)/vk100.o		\
	$(DRIVERS)/vt100.o		\
	$(DRIVERS)/vt220.o		\
	$(DRIVERS)/vt240.o		\
	$(DRIVERS)/vt320.o		\
	$(DRIVERS)/vt520.o		\
	$(VIDEO)/vtvideo.o		\

$(MAMEOBJ)/dicksmth.a:			\
	$(DRIVERS)/super80.o	\
	$(MACHINE)/super80.o	\
	$(VIDEO)/super80.o		\

$(MAMEOBJ)/dms.a:				\
	$(DRIVERS)/dms5000.o	\
	$(DRIVERS)/dms86.o		\
	$(DRIVERS)/zsbc3.o		\

$(MAMEOBJ)/dragon.a:			\
	$(MACHINE)/dgn_beta.o	\
	$(VIDEO)/dgn_beta.o	\
	$(DRIVERS)/dgn_beta.o	\

$(MAMEOBJ)/drc.a:				\
	$(DRIVERS)/zrt80.o		\

$(MAMEOBJ)/eaca.a:				\
	$(DRIVERS)/cgenie.o	\
	$(VIDEO)/cgenie.o		\
	$(MACHINE)/cgenie.o	\

$(MAMEOBJ)/einis.a:				\
	$(DRIVERS)/pecom.o		\
	$(MACHINE)/pecom.o		\
	$(VIDEO)/pecom.o		\

$(MAMEOBJ)/elektrka.a:			\
	$(DRIVERS)/bk.o		\
	$(MACHINE)/bk.o		\
	$(VIDEO)/bk.o			\
	$(DRIVERS)/mk85.o		\
	$(DRIVERS)/mk90.o		\

$(MAMEOBJ)/elektor.a:			\
	$(DRIVERS)/ec65.o		\
	$(DRIVERS)/elekscmp.o	\
	$(DRIVERS)/elektor.o	\
	$(DRIVERS)/junior.o	\

$(MAMEOBJ)/ensoniq.a:			\
	$(DRIVERS)/esq1.o		\
	$(DRIVERS)/miragem.o    \

$(MAMEOBJ)/entex.a:				\
	$(VIDEO)/advision.o	\
	$(MACHINE)/advision.o	\
	$(DRIVERS)/advision.o	\

$(MAMEOBJ)/epoch.a:				\
	$(DRIVERS)/gamepock.o	\
	$(MACHINE)/gamepock.o	\
	$(DRIVERS)/scv.o		\
	$(AUDIO)/upd1771.o		\

$(MAMEOBJ)/epson.a:				\
	$(DRIVERS)/ex800.o		\
	$(DRIVERS)/hx20.o		\
	$(DRIVERS)/lx800.o		\
	$(MACHINE)/e05a03.o	\
	$(MACHINE)/pf10.o		\
	$(MACHINE)/tf20.o		\
	$(DRIVERS)/px4.o		\
	$(DRIVERS)/px8.o		\
	$(DRIVERS)/qx10.o		\

$(MAMEOBJ)/exeltel.a:			\
	$(DRIVERS)/exelv.o		\

$(MAMEOBJ)/exidy.a:				\
	$(MACHINE)/sorcerer.o	\
	$(DRIVERS)/sorcerer.o	\
	$(MACHINE)/micropolis.o	\

$(MAMEOBJ)/fairch.a:			\
	$(VIDEO)/channelf.o	\
	$(AUDIO)/channelf.o	\
	$(DRIVERS)/channelf.o	\

$(MAMEOBJ)/fujitsu.a:			\
	$(DRIVERS)/fmtowns.o	\
	$(VIDEO)/fmtowns.o		\
	$(MACHINE)/upd71071.o	\
	$(MACHINE)/fm_scsi.o	\
	$(DRIVERS)/fm7.o		\
	$(VIDEO)/fm7.o		\

$(MAMEOBJ)/funtech.a:			\
	$(DRIVERS)/supracan.o	\

$(MAMEOBJ)/galaxy.a:			\
	$(VIDEO)/galaxy.o		\
	$(DRIVERS)/galaxy.o	\
	$(MACHINE)/galaxy.o	\

$(MAMEOBJ)/gamepark.a:			\
	$(DRIVERS)/gp32.o		\
	$(DRIVERS)/gp2x.o		\

$(MAMEOBJ)/grundy.a:			\
	$(DRIVERS)/newbrain.o	\
	$(VIDEO)/newbrain.o	\

$(MAMEOBJ)/hartung.a:			\
	$(DRIVERS)/gmaster.o	\
	$(AUDIO)/gmaster.o		\

$(MAMEOBJ)/heathkit.a:			\
	$(DRIVERS)/et3400.o	\
	$(DRIVERS)/h8.o		\
	$(DRIVERS)/h19.o		\
	$(DRIVERS)/h89.o		\

$(MAMEOBJ)/hegener.a:			\
	$(MACHINE)/mboard.o	\
	$(DRIVERS)/glasgow.o	\
	$(DRIVERS)/mephisto.o	\
        $(DRIVERS)/mmodular.o	\


$(MAMEOBJ)/hitachi.a:			\
	$(DRIVERS)/bmjr.o		\
	$(DRIVERS)/bml3.o		\
	$(DRIVERS)/b16.o           \

$(MAMEOBJ)/homebrew.a:			\
	$(DRIVERS)/4004clk.o	\
	$(DRIVERS)/68ksbc.o	\
	$(DRIVERS)/craft.o		\
	$(DRIVERS)/homez80.o	\
	$(DRIVERS)/p112.o		\
	$(DRIVERS)/phunsy.o	\
	$(DRIVERS)/pimps.o		\
	$(DRIVERS)/sbc6510.o	\
	$(DRIVERS)/z80dev.o	\
	$(DRIVERS)/uzebox.o	\

$(MAMEOBJ)/homelab.a:			\
	$(DRIVERS)/homelab.o	\

$(MAMEOBJ)/hp.a:				\
	$(MACHINE)/hp48.o		\
	$(VIDEO)/hp48.o		\
	$(DRIVERS)/hp48.o		\
	$(DEVICES)/xmodem.o	\
	$(DEVICES)/kermit.o	\
	$(DRIVERS)/hp16500.o	\
	$(DRIVERS)/hp49gp.o	\
	$(DRIVERS)/hp9k.o	\

$(MAMEOBJ)/hec2hrp.a:			\
	$(DRIVERS)/hec2hrp.o	\
	$(VIDEO)/hec2video.o	\
	$(MACHINE)/hecdisk2.o  \
	$(MACHINE)/hec2hrp.o   \

$(MAMEOBJ)/interact.a:			\
	$(DRIVERS)/interact.o	\
	$(VIDEO)/hec2video.o	\
	$(MACHINE)/hec2hrp.o   \

$(MAMEOBJ)/intel.a:				\
	$(DRIVERS)/basic52.o	\
	$(DRIVERS)/isbc.o		\
	$(DRIVERS)/ipc.o		\
	$(DRIVERS)/ipds.o		\
	$(DRIVERS)/imds.o		\
	$(DRIVERS)/sdk85.o		\
	$(DRIVERS)/sdk86.o		\
	$(DRIVERS)/rex6000.o	\

$(MAMEOBJ)/intelgnt.a:			\
	$(AUDIO)/dave.o		\
	$(VIDEO)/epnick.o		\
	$(DRIVERS)/enterp.o	\

$(MAMEOBJ)/interton.a:			\
	$(AUDIO)/vc4000.o		\
	$(DRIVERS)/vc4000.o	\
	$(VIDEO)/vc4000.o		\

$(MAMEOBJ)/intv.a:				\
	$(VIDEO)/intv.o		\
	$(VIDEO)/stic.o		\
	$(MACHINE)/intv.o		\
	$(DRIVERS)/intv.o		\

$(MAMEOBJ)/kaypro.a:			\
	$(DRIVERS)/kaypro.o	\
	$(MACHINE)/kaypro.o	\
	$(VIDEO)/kaypro.o		\
	$(MACHINE)/kay_kbd.o	\

$(MAMEOBJ)/koei.a:				\
	$(DRIVERS)/pasogo.o	\

$(MAMEOBJ)/kyocera.a:			\
	$(DRIVERS)/kyocera.o	\
	$(VIDEO)/kyocera.o		\

$(MAMEOBJ)/luxor.a:				\
	$(DRIVERS)/abc80.o		\
	$(VIDEO)/abc80.o		\
	$(DRIVERS)/abc80x.o	\
	$(VIDEO)/abc800.o		\
	$(VIDEO)/abc802.o		\
	$(VIDEO)/abc806.o		\
	$(MACHINE)/abcbus.o	\
	$(MACHINE)/abc_uni800.o	\
	$(MACHINE)/abc_slutprov.o	\
	$(MACHINE)/abc77.o		\
	$(MACHINE)/abc99.o		\
	$(MACHINE)/lux10828.o	\
	$(MACHINE)/lux21046.o	\
	$(MACHINE)/abc830.o	\
	$(DRIVERS)/abc1600.o	\
	$(MACHINE)/abc1600_bus.o	\
	$(MACHINE)/lux4105.o	\
	$(VIDEO)/abc1600.o		\
	$(MACHINE)/s1410.o		\

$(MAMEOBJ)/magnavox.a:			\
	$(MACHINE)/odyssey2.o	\
	$(VIDEO)/odyssey2.o	\
	$(DRIVERS)/odyssey2.o	\

$(MAMEOBJ)/mattel.a:			\
	$(DRIVERS)/aquarius.o	\
	$(VIDEO)/aquarius.o	\
	$(DRIVERS)/juicebox.o	\
	$(MACHINE)/s3c44b0.o	\

$(MAMEOBJ)/matsushi.a:			\
	$(DRIVERS)/jr100.o		\
	$(DRIVERS)/jr200.o		\
	$(DRIVERS)/myb3k.o         \

$(MAMEOBJ)/mchester.a:			\
	$(DRIVERS)/ssem.o		\

$(MAMEOBJ)/memotech.a:			\
	$(DRIVERS)/mtx.o		\
	$(MACHINE)/mtx.o		\

$(MAMEOBJ)/mgu.a:				\
	$(DRIVERS)/irisha.o	\
	$(MACHINE)/irisha.o	\
	$(VIDEO)/irisha.o		\

$(MAMEOBJ)/microkey.a:			\
	$(DRIVERS)/primo.o		\
	$(MACHINE)/primo.o		\
	$(VIDEO)/primo.o		\

$(MAMEOBJ)/mit.a:				\
	$(VIDEO)/crt.o			\
	$(DRIVERS)/tx0.o		\
	$(VIDEO)/tx0.o			\

$(MAMEOBJ)/mits.a:				\
	$(DRIVERS)/altair.o	\
	$(DRIVERS)/mits680b.o	\

$(MAMEOBJ)/mitsubishi.a:		\
	$(DRIVERS)/multi8.o	\
	$(DRIVERS)/multi16.o	\

$(MAMEOBJ)/morrow.a:			\
	$(DRIVERS)/mpz80.o		\
	$(MACHINE)/s100_dj2db.o		\
	$(MACHINE)/s100_djdma.o		\
	$(MACHINE)/s100_mm65k16s.o		\
	$(MACHINE)/s100_wunderbus.o	\

$(MAMEOBJ)/mos.a:				\
	$(DRIVERS)/kim1.o		\

$(MAMEOBJ)/motorola.a:			\
	$(DRIVERS)/mekd2.o		\

$(MAMEOBJ)/multitch.a:			\
	$(DRIVERS)/mpf1.o		\

$(MAMEOBJ)/nakajima.a:			\
	$(DRIVERS)/nakajies.o	\

$(MAMEOBJ)/nascom.a:			\
	$(VIDEO)/nascom1.o		\
	$(MACHINE)/nascom1.o	\
	$(DRIVERS)/nascom1.o	\

$(MAMEOBJ)/ne.a:				\
	$(DRIVERS)/z80ne.o     \
	$(MACHINE)/z80ne.o     \

$(MAMEOBJ)/nec.a:				\
	$(MACHINE)/pce.o		\
	$(DRIVERS)/pce.o		\
	$(DRIVERS)/pcfx.o		\
	$(DRIVERS)/pc6001.o	\
	$(DRIVERS)/pc8401a.o	\
	$(VIDEO)/pc8401a.o		\
	$(DRIVERS)/pc8001.o	\
	$(DRIVERS)/pc8801.o	\
	$(DRIVERS)/pc88va.o	\
	$(DRIVERS)/pc100.o		\
	$(DRIVERS)/pc9801.o	\
	$(DRIVERS)/tk80bs.o	\

$(MAMEOBJ)/netronic.a:			\
	$(DRIVERS)/elf.o		\
	$(DRIVERS)/exp85.o		\

$(MAMEOBJ)/next.a:				\
	$(DRIVERS)/next.o		\
	$(MACHINE)/nextkbd.o	\
	$(MACHINE)/n82077aa.o	\

$(MAMEOBJ)/nintendo.a:			\
	$(MACHINE)/nes_mmc.o	\
	$(VIDEO)/nes.o			\
	$(MACHINE)/nes.o		\
	$(DRIVERS)/nes.o		\
	$(MACHINE)/snescart.o	\
	$(DRIVERS)/snes.o		\
	$(DRIVERS)/n64.o		\
	$(AUDIO)/gb.o			\
	$(VIDEO)/gb.o			\
	$(MACHINE)/gb.o		\
	$(DRIVERS)/gb.o		\
	$(MACHINE)/pokemini.o	\
	$(DRIVERS)/pokemini.o	\
	$(DRIVERS)/vboy.o		\
	$(DRIVERS)/gba.o		\
	$(VIDEO)/gba.o			\

$(MAMEOBJ)/nokia.a:				\
	$(DRIVERS)/mikromik.o	\

$(MAMEOBJ)/novag.a:				\
	$(DRIVERS)/mk1.o		\
	$(DRIVERS)/mk2.o		\
	$(VIDEO)/ssystem3.o	\
	$(DRIVERS)/ssystem3.o	\
	$(DRIVERS)/supercon.o	\

$(MAMEOBJ)/olivetti.a:			\
	$(DRIVERS)/m20.o		\

$(MAMEOBJ)/omnibyte.a:			\
	$(DRIVERS)/msbc1.o		\
	$(DRIVERS)/ob68k1a.o	\

$(MAMEOBJ)/orion.a:				\
	$(DRIVERS)/orion.o		\
	$(MACHINE)/orion.o		\
	$(VIDEO)/orion.o		\

$(MAMEOBJ)/osborne.a:			\
	$(DRIVERS)/osborne1.o	\
	$(MACHINE)/osborne1.o	\
	$(DRIVERS)/osbexec.o	\
	$(DRIVERS)/vixen.o		\

$(MAMEOBJ)/osi.a:				\
	$(DRIVERS)/osi.o		\
	$(VIDEO)/osi.o			\

$(MAMEOBJ)/palm.a:				\
	$(DRIVERS)/palm.o		\
	$(MACHINE)/mc68328.o	\
	$(VIDEO)/mc68328.o		\

$(MAMEOBJ)/parker.a:			\
	$(DRIVERS)/stopthie.o	\

$(MAMEOBJ)/pitronic.a:			\
	$(DRIVERS)/beta.o		\

$(MAMEOBJ)/pc.a:				\
	$(VIDEO)/pc_aga.o		\
	$(MACHINE)/tandy1t.o	\
	$(MACHINE)/europc.o	\
	$(MACHINE)/pc.o		\
	$(DRIVERS)/pc.o		\
	$(DRIVERS)/genpc.o		\
	$(MACHINE)/genpc.o		\
	$(DRIVERS)/ibmpc.o		\
	$(VIDEO)/pc_t1t.o		\

$(MAMEOBJ)/pcm.a:				\
	$(DRIVERS)/pcm.o		\

$(MAMEOBJ)/pcshare.a:			\
	$(MACHINE)/pc_turbo.o	\
	$(AUDIO)/sblaster.o	\
	$(MACHINE)/pc_fdc.o	\
	$(MACHINE)/pc_joy.o	\
	$(MACHINE)/kb_keytro.o	\
	$(MACHINE)/isa_adlib.o	\
	$(MACHINE)/isa_com.o	\
	$(MACHINE)/isa_fdc.o	\
	$(MACHINE)/isa_gblaster.o	\
	$(MACHINE)/isa_hdc.o	\
	$(MACHINE)/isa_sblaster.o	\
	$(MACHINE)/isa_ide.o	\
	$(VIDEO)/isa_mda.o		\
	$(VIDEO)/pc_cga.o		\
	$(VIDEO)/cgapal.o		\
	$(VIDEO)/crtc_ega.o	\
	$(VIDEO)/isa_ega.o		\
	$(VIDEO)/ibm_vga.o		\

$(MAMEOBJ)/pdp1.a:				\
	$(VIDEO)/pdp1.o		\
	$(DRIVERS)/pdp1.o		\

$(MAMEOBJ)/pel.a:				\
	$(DRIVERS)/galeb.o		\
	$(VIDEO)/galeb.o		\
	$(DRIVERS)/orao.o		\
	$(MACHINE)/orao.o		\
	$(VIDEO)/orao.o		\

$(MAMEOBJ)/philips.a:			\
	$(VIDEO)/p2000m.o		\
	$(DRIVERS)/p2000t.o	\
	$(MACHINE)/p2000t.o	\
	$(DRIVERS)/vg5k.o		\
	$(VIDEO)/ef9345.o		\

$(MAMEOBJ)/poly88.a:			\
	$(DRIVERS)/poly88.o	\
	$(MACHINE)/poly88.o	\
	$(VIDEO)/poly88.o		\

$(MAMEOBJ)/psion.a:				\
	$(DRIVERS)/psion.o		\
	$(MACHINE)/psion_pack.o	\

$(MAMEOBJ)/radio.a:				\
	$(DRIVERS)/radio86.o	\
	$(MACHINE)/radio86.o	\
	$(VIDEO)/radio86.o		\
	$(DRIVERS)/apogee.o	\
	$(DRIVERS)/partner.o	\
	$(MACHINE)/partner.o	\
	$(DRIVERS)/mikrosha.o	\

$(MAMEOBJ)/rca.a:				\
	$(DRIVERS)/studio2.o	\
	$(FORMATS)/studio2_st2.o	\
	$(DRIVERS)/vip.o		\
	$(AUDIO)/vp550.o		\
	$(AUDIO)/vp595.o		\

$(MAMEOBJ)/rm.a:				\
	$(DRIVERS)/rmnimbus.o	\
	$(MACHINE)/rmnimbus.o  \
	$(VIDEO)/rmnimbus.o    \

$(MAMEOBJ)/robotron.a:			\
	$(DRIVERS)/a5105.o		\
	$(DRIVERS)/a51xx.o		\
	$(DRIVERS)/a7150.o		\
	$(DRIVERS)/k1003.o		\
	$(DRIVERS)/k8915.o		\
	$(DRIVERS)/rt1715.o	\
	$(DRIVERS)/z1013.o		\
	$(DRIVERS)/z9001.o		\

$(MAMEOBJ)/rockwell.a:			\
	$(VIDEO)/aim65.o		\
	$(MACHINE)/aim65.o		\
	$(DRIVERS)/aim65.o		\
	$(DRIVERS)/aim65_40.o	\

$(MAMEOBJ)/samcoupe.a:			\
	$(VIDEO)/samcoupe.o	\
	$(DRIVERS)/samcoupe.o	\
	$(MACHINE)/samcoupe.o	\

$(MAMEOBJ)/samsung.a:			\
	$(DRIVERS)/spc1000.o	\

$(MAMEOBJ)/sanyo.a:				\
	$(DRIVERS)/phc25.o		\
	$(DRIVERS)/mbc55x.o	\
	$(MACHINE)/mbc55x.o	\
	$(VIDEO)/mbc55x.o  	\

$(MAMEOBJ)/sega.a:				\
	$(DRIVERS)/sg1000.o	\
	$(MACHINE)/md_cart.o	\
	$(DRIVERS)/megadriv.o  \
	$(DRIVERS)/dc.o		\
	$(MACHINE)/gdrom.o 	\
	$(MACHINE)/dccons.o	\
	$(VIDEO)/smsvdp.o		\
	$(MACHINE)/sms.o	\
	$(DRIVERS)/smsm.o	\
	$(DRIVERS)/sg1000.o	\

$(MAMEOBJ)/sgi.a:				\
	$(MACHINE)/sgi.o		\
	$(DRIVERS)/sgi_ip2.o	\
	$(DRIVERS)/sgi_ip6.o	\
	$(DRIVERS)/ip20.o		\
	$(DRIVERS)/ip22.o		\
	$(VIDEO)/newport.o		\

$(MAMEOBJ)/sharp.a:				\
	$(VIDEO)/mz700.o		\
	$(DRIVERS)/mz700.o		\
	$(MACHINE)/lh5810.o	\
	$(DRIVERS)/pc1500.o	\
	$(DRIVERS)/pocketc.o	\
	$(VIDEO)/pc1401.o		\
	$(MACHINE)/pc1401.o	\
	$(VIDEO)/pc1403.o		\
	$(MACHINE)/pc1403.o	\
	$(VIDEO)/pc1350.o		\
	$(MACHINE)/pc1350.o	\
	$(VIDEO)/pc1251.o		\
	$(MACHINE)/pc1251.o	\
	$(VIDEO)/pocketc.o		\
	$(MACHINE)/mz700.o		\
	$(DRIVERS)/x68k.o		\
	$(VIDEO)/x68k.o		\
	$(MACHINE)/x68kexp.o	\
	$(MACHINE)/x68k_neptunex.o	\
	$(MACHINE)/x68k_hdc.o	\
	$(MACHINE)/mb89352.o	\
	$(DRIVERS)/mz80.o		\
	$(VIDEO)/mz80.o		\
	$(MACHINE)/mz80.o		\
	$(DRIVERS)/mz2000.o	\
	$(DRIVERS)/x1.o		\
	$(MACHINE)/x1.o		\
	$(DRIVERS)/mz2500.o	\
	$(DRIVERS)/pce220.o	\
	$(MACHINE)/pce220_ser.o	\
	$(DRIVERS)/mz6500.o	\

$(MAMEOBJ)/sinclair.a:			\
	$(VIDEO)/spectrum.o	\
	$(VIDEO)/timex.o		\
	$(VIDEO)/zx.o		\
	$(DRIVERS)/zx.o		\
	$(MACHINE)/zx.o		\
	$(DRIVERS)/spectrum.o	\
	$(DRIVERS)/spec128.o	\
	$(DRIVERS)/timex.o		\
	$(DRIVERS)/specpls3.o	\
	$(DRIVERS)/scorpion.o	\
	$(DRIVERS)/atm.o		\
	$(DRIVERS)/pentagon.o	\
	$(MACHINE)/beta.o		\
	$(FORMATS)/spec_snqk.o	\
	$(FORMATS)/timex_dck.o	\
	$(DRIVERS)/ql.o		\
	$(VIDEO)/zx8301.o		\
	$(MACHINE)/zx8302.o	\


$(MAMEOBJ)/snk.a:				\
	$(DRIVERS)/ng_aes.o	\
	$(MACHINE)/neocrypt.o	\
	$(MACHINE)/neoprot.o	\
	$(MACHINE)/neoboot.o	\
	$(DRIVERS)/neogeo.o	\
	$(DRIVERS)/ngp.o		\
	$(VIDEO)/k1ge.o		\

$(MAMEOBJ)/sony.a:				\
	$(DRIVERS)/psx.o		\
	$(MACHINE)/psxcd.o		\
	$(MACHINE)/psxcddrv.o	\
	$(MACHINE)/psxcard.o	\
	$(DRIVERS)/pockstat.o	\
	$(DRIVERS)/smc777.o	\

$(MAMEOBJ)/sord.a:				\
	$(DRIVERS)/m5.o		\

$(MAMEOBJ)/special.a:			\
	$(AUDIO)/special.o		\
	$(DRIVERS)/special.o	\
	$(MACHINE)/special.o	\
	$(VIDEO)/special.o		\

$(MAMEOBJ)/sun.a:				\
	$(DRIVERS)/sun1.o		\
	$(DRIVERS)/sun2.o		\
	$(DRIVERS)/sun3.o		\

$(MAMEOBJ)/svi.a:				\
	$(MACHINE)/svi318.o	\
	$(DRIVERS)/svi318.o	\

$(MAMEOBJ)/svision.a:			\
	$(DRIVERS)/svision.o	\
	$(AUDIO)/svision.o		\

$(MAMEOBJ)/synertec.a:			\
	$(MACHINE)/sym1.o		\
	$(DRIVERS)/sym1.o		\

$(MAMEOBJ)/tandberg.a:			\
	$(DRIVERS)/tdv2324.o	\

$(MAMEOBJ)/tangerin.a:			\
	$(VIDEO)/microtan.o	\
	$(MACHINE)/microtan.o	\
	$(DRIVERS)/microtan.o	\
	$(FORMATS)/m65_snqk.o	\
	$(DRIVERS)/oric.o		\
	$(VIDEO)/oric.o		\
	$(MACHINE)/oric.o		\

$(MAMEOBJ)/tatung.a:			\
	$(DRIVERS)/einstein.o	\
	$(MACHINE)/einstein.o	\

$(MAMEOBJ)/teamconc.a:			\
	$(VIDEO)/comquest.o	\
	$(DRIVERS)/comquest.o	\

$(MAMEOBJ)/tektroni.a:			\
	$(DRIVERS)/tek405x.o	\
	$(DRIVERS)/tek410x.o	\

$(MAMEOBJ)/telenova.a:			\
	$(DRIVERS)/compis.o	\
	$(MACHINE)/compis.o	\

$(MAMEOBJ)/telercas.a:			\
	$(DRIVERS)/tmc1800.o	\
	$(VIDEO)/tmc1800.o		\
	$(DRIVERS)/tmc600.o	\
	$(VIDEO)/tmc600.o		\
	$(DRIVERS)/tmc2000e.o	\

$(MAMEOBJ)/tem.a:			\
	$(DRIVERS)/tec1.o		\

$(MAMEOBJ)/tesla.a:			\
	$(DRIVERS)/ondra.o		\
	$(MACHINE)/ondra.o		\
	$(VIDEO)/ondra.o		\
	$(VIDEO)/pmd85.o		\
	$(DRIVERS)/pmd85.o		\
	$(MACHINE)/pmd85.o		\
	$(DRIVERS)/pmi80.o		\
	$(DRIVERS)/sapi1.o		\
	$(MACHINE)/sapi1.o		\
	$(VIDEO)/sapi1.o		\

$(MAMEOBJ)/thomson.a:			\
	$(DRIVERS)/thomson.o	\
	$(MACHINE)/thomson.o	\
	$(VIDEO)/thomson.o		\
	$(MACHINE)/thomflop.o	\

$(MAMEOBJ)/ti.a:				\
	$(DRIVERS)/ti85.o		\
	$(MACHINE)/ti85_ser.o	\
	$(VIDEO)/ti85.o		\
	$(VIDEO)/t6a04.o		\
	$(MACHINE)/ti85.o		\
	$(DRIVERS)/ti89.o		\
	$(MACHINE)/tms9901.o	\
	$(MACHINE)/tms9902.o	\
	$(MACHINE)/990_hd.o	\
	$(MACHINE)/990_tap.o	\
	$(MACHINE)/ti990.o		\
	$(MACHINE)/at29040a.o	\
	$(MACHINE)/ti99/hsgpl.o	\
	$(MACHINE)/ti99/p_code.o	\
	$(MACHINE)/ti99/crubus.o	\
	$(MACHINE)/ti99/datamux.o	\
	$(MACHINE)/ti99/peribox.o	\
	$(MACHINE)/ti99/grom.o	\
	$(MACHINE)/ti99/gromport.o	\
	$(MACHINE)/ti99/ti32kmem.o	\
	$(MACHINE)/ti99/samsmem.o	\
	$(MACHINE)/ti99/memex.o	\
	$(MACHINE)/ti99/myarcmem.o	\
	$(MACHINE)/ti99/ti_fdc.o	\
	$(MACHINE)/ti99/hfdc.o	\
	$(MACHINE)/ti99/bwg.o	\
	$(MACHINE)/ti99/ti_rs232.o	\
	$(MACHINE)/ti99/tn_usbsm.o	\
	$(MACHINE)/ti99/tn_ide.o	\
	$(MACHINE)/ti99/spchsyn.o  \
	$(MACHINE)/ti99/evpc.o 	\
	$(MACHINE)/ti99/videowrp.o \
	$(MACHINE)/ti99/mapper8.o  \
	$(MACHINE)/ti99/speech8.o  \
	$(MACHINE)/ti99/mecmouse.o  \
	$(MACHINE)/ti99/handset.o  \
	$(MACHINE)/ti99/sgcpu.o  \
	$(MACHINE)/ti99/genboard.o  \
	$(MACHINE)/ti99/tiboard.o  \
	$(MACHINE)/ti99/ti99_hd.o	\
	$(MACHINE)/strata.o	\
	$(MACHINE)/990_dk.o	\
	$(DRIVERS)/ti990_4.o	\
	$(DRIVERS)/ti99_4x.o	\
	$(DRIVERS)/ti99_4p.o	\
	$(DRIVERS)/geneve.o	\
	$(DRIVERS)/tm990189.o	\
	$(DRIVERS)/ti99_8.o	\
	$(VIDEO)/911_vdt.o		\
	$(VIDEO)/733_asr.o		\
	$(DRIVERS)/ti990_10.o	\
	$(DRIVERS)/ti99_2.o	\
	$(VIDEO)/avigo.o		\
	$(DRIVERS)/avigo.o		\

$(MAMEOBJ)/tiger.a:				\
	$(DRIVERS)/gamecom.o	\
	$(MACHINE)/gamecom.o	\
	$(VIDEO)/gamecom.o		\

$(MAMEOBJ)/tigertel.a:			\
	$(DRIVERS)/gizmondo.o	\
	$(MACHINE)/docg3.o		\
	$(VIDEO)/gf4500.o		\

$(MAMEOBJ)/tiki.a:				\
	$(DRIVERS)/tiki100.o	\

$(MAMEOBJ)/tomy.a:				\
	$(DRIVERS)/tutor.o		\

$(MAMEOBJ)/toshiba.a:			\
	$(DRIVERS)/pasopia.o	\
	$(DRIVERS)/pasopia7.o	\
	$(DRIVERS)/paso1600.o      \

$(MAMEOBJ)/trs.a:				\
	$(MACHINE)/6883sam.o	\
	$(MACHINE)/ds1315.o	\
	$(MACHINE)/coco.o		\
	$(VIDEO)/coco.o		\
	$(DRIVERS)/coco.o		\
	$(VIDEO)/coco3.o		\
	$(FORMATS)/cocopak.o	\
	$(MACHINE)/coco_vhd.o	\
	$(MACHINE)/cococart.o	\
	$(MACHINE)/coco_232.o	\
	$(MACHINE)/coco_orch90.o\
	$(MACHINE)/coco_pak.o	\
	$(MACHINE)/coco_fdc.o	\
	$(MACHINE)/coco_multi.o	\
	$(DRIVERS)/mc10.o		\
	$(MACHINE)/trs80.o		\
	$(VIDEO)/trs80.o		\
	$(FORMATS)/trs_cmd.o	\
	$(DRIVERS)/trs80.o		\
	$(DRIVERS)/trs80m2.o	\
	$(VIDEO)/coco6847.o	\
	$(DRIVERS)/tandy2k.o	\

$(MAMEOBJ)/unisys.a:			\
	$(DRIVERS)/univac.o	\

$(MAMEOBJ)/veb.a:				\
	$(DRIVERS)/chessmst.o	\
	$(VIDEO)/kc.o			\
	$(DRIVERS)/kc.o		\
	$(MACHINE)/kc.o		\
	$(MACHINE)/kc_keyb.o	\
	$(MACHINE)/kcexp.o		\
	$(MACHINE)/kc_ram.o	\
	$(MACHINE)/kc_rom.o	\
	$(MACHINE)/kc_d002.o	\
	$(MACHINE)/kc_d004.o	\
	$(DRIVERS)/lc80.o		\
	$(DRIVERS)/mc80.o		\
	$(VIDEO)/mc80.o		\
	$(MACHINE)/mc80.o		\
	$(DRIVERS)/poly880.o	\
	$(DRIVERS)/sc1.o		\
	$(DRIVERS)/sc2.o		\

$(MAMEOBJ)/vidbrain.a:			\
	$(DRIVERS)/vidbrain.o	\
	$(VIDEO)/vidbrain.o	\

$(MAMEOBJ)/visual.a:			\
	$(DRIVERS)/v1050.o		\
	$(VIDEO)/v1050.o		\

$(MAMEOBJ)/votrax.a:			\
	$(DRIVERS)/votrpss.o	\
	$(DRIVERS)/votrtnt.o	\

$(MAMEOBJ)/vtech.a:				\
	$(DRIVERS)/lcmate2.o	\
	$(DRIVERS)/pc4.o		\
	$(VIDEO)/pc4.o			\
	$(DRIVERS)/vtech1.o	\
	$(VIDEO)/vtech2.o		\
	$(MACHINE)/vtech2.o	\
	$(DRIVERS)/vtech2.o	\
	$(DRIVERS)/crvision.o	\
	$(AUDIO)/socrates.o	\
	$(DRIVERS)/socrates.o	\
	$(DRIVERS)/pc2000.o	\
	$(DRIVERS)/prestige.o	\

$(MAMEOBJ)/wavemate.a:			\
	$(DRIVERS)/bullet.o	\
	$(DRIVERS)/jupiter.o	\

$(MAMEOBJ)/xerox.a:				\
	$(DRIVERS)/xerox820.o	\
	$(DRIVERS)/bigbord2.o	\

$(MAMEOBJ)/zpa.a:				\
	$(DRIVERS)/iq151.o		\
	$(MACHINE)/iq151cart.o	\
	$(MACHINE)/iq151_rom.o	\
	$(MACHINE)/iq151_disc2.o	\
	$(MACHINE)/iq151_minigraf.o	\
	$(MACHINE)/iq151_ms151a.o	\
	$(MACHINE)/iq151_staper.o	\
	$(VIDEO)/iq151_grafik.o	\
	$(VIDEO)/iq151_video32.o	\
	$(VIDEO)/iq151_video64.o	\

$(MAMEOBJ)/zvt.a:				\
	$(DRIVERS)/pp01.o		\
	$(MACHINE)/pp01.o		\
	$(VIDEO)/pp01.o		\

$(MAMEOBJ)/test.a:				\
	$(DRIVERS)/zexall.o	\

$(MAMEOBJ)/skeleton.a:			\
	$(DRIVERS)/alesis.o	\
	$(DRIVERS)/amico2k.o	\
	$(DRIVERS)/applix.o	\
	$(DRIVERS)/babbage.o	\
	$(DRIVERS)/beehive.o	\
	$(DRIVERS)/bob85.o		\
	$(DRIVERS)/busicom.o	\
	$(VIDEO)/busicom.o		\
	$(DRIVERS)/chaos.o 	\
	$(DRIVERS)/cd2650.o	\
	$(DRIVERS)/codata.o	\
	$(DRIVERS)/cosmicos.o	\
	$(DRIVERS)/cvicny.o	\
	$(DRIVERS)/czk80.o		\
	$(DRIVERS)/d6800.o		\
	$(DRIVERS)/d6809.o		\
	$(DRIVERS)/digel804.o	\
	$(DRIVERS)/dim68k.o	\
	$(DRIVERS)/dm7000.o	\
	$(DRIVERS)/dolphin.o	\
	$(DRIVERS)/dual68.o	\
	$(DRIVERS)/eacc.o		\
	$(DRIVERS)/elwro800.o	\
	$(DRIVERS)/eti660.o	\
	$(DRIVERS)/fk1.o		\
	$(DRIVERS)/fidelz80.o	\
	$(DRIVERS)/horizon.o	\
	$(DRIVERS)/ht68k.o		\
	$(DRIVERS)/if800.o		\
	$(DRIVERS)/indiana.o	\
	$(DRIVERS)/instruct.o	\
	$(DRIVERS)/mbc200.o	\
	$(DRIVERS)/mccpm.o		\
	$(DRIVERS)/mes.o		\
	$(DRIVERS)/microdec.o	\
	$(DRIVERS)/micronic.o	\
	$(DRIVERS)/mk14.o		\
	$(DRIVERS)/mmd1.o		\
	$(DRIVERS)/mod8.o		\
	$(DRIVERS)/mstation.o	\
	$(DRIVERS)/mycom.o		\
	$(DRIVERS)/okean240.o	\
	$(DRIVERS)/p8k.o		\
	$(DRIVERS)/pegasus.o	\
	$(DRIVERS)/pes.o		\
	$(DRIVERS)/pipbug.o	\
	$(DRIVERS)/plan80.o	\
	$(DRIVERS)/poly.o		\
	$(DRIVERS)/pro80.o		\
	$(DRIVERS)/pt68k4.o	\
	$(DRIVERS)/ptcsol.o	\
	$(DRIVERS)/pv9234.o	\
	$(DRIVERS)/qtsbc.o		\
	$(DRIVERS)/rvoice.o	\
	$(DRIVERS)/sacstate.o	\
	$(DRIVERS)/sage2.o		\
	$(DRIVERS)/savia84.o	\
	$(DRIVERS)/selz80.o	\
	$(DRIVERS)/sitcom.o	\
	$(DRIVERS)/slc1.o		\
	$(DRIVERS)/super6.o	\
	$(DRIVERS)/swtpc.o		\
	$(DRIVERS)/sys2900.o	\
	$(DRIVERS)/systec.o	\
	$(DRIVERS)/terak.o		\
	$(DRIVERS)/tim011.o	\
	$(DRIVERS)/tricep.o	\
	$(DRIVERS)/tsispch.o	\
	$(DRIVERS)/tvc.o		\
	$(DRIVERS)/unior.o		\
	$(DRIVERS)/unistar.o	\
	$(DRIVERS)/v6809.o		\
	$(DRIVERS)/vector4.o	\
	$(DRIVERS)/vii.o		\
	$(DRIVERS)/vta2000.o	\
	$(DRIVERS)/xor100.o	\
	$(DRIVERS)/z100.o		\




#-------------------------------------------------
# miscellaneous dependencies
#-------------------------------------------------

$(MACHINE)/snes.o: $(MAMESRC)/machine/snesobc1.c \
				$(MAMESRC)/machine/snescx4.c \
				$(MAMESRC)/machine/cx4ops.c \
				$(MAMESRC)/machine/cx4oam.c \
				$(MAMESRC)/machine/cx4fn.c \
				$(MAMESRC)/machine/cx4data.c \
				$(MAMESRC)/machine/snesrtc.c \
				$(MAMESRC)/machine/snessdd1.c \
				$(MAMESRC)/machine/snes7110.c \
				$(MAMESRC)/machine/snesbsx.c

$(VIDEO)/gba.o:		$(MAMESRC)/video/gbamode0.c \
				$(MAMESRC)/video/gbamode1.c \
				$(MAMESRC)/video/gbamode2.c \
				$(MAMESRC)/video/gbam345.c

$(MACHINE)/nes_mmc.o:	$(MAMESRC)/machine/nes_ines.c \
				$(MAMESRC)/machine/nes_pcb.c \
				$(MAMESRC)/machine/nes_unif.c \

$(AUDIO)/mac.o:		$(MAMESRC)/audio/mac.c \
				$(MAMESRC)/includes/mac.h $(MAMESRC)/machine/egret.h

$(VIDEO)/mac.o:		$(MAMESRC)/video/mac.c \
				$(MAMESRC)/includes/mac.h $(MAMESRC)/machine/egret.h

$(MACHINE)/mac.o:		$(MAMESRC)/machine/mac.c \
				$(MAMESRC)/includes/mac.h $(MAMESRC)/machine/egret.h

$(DRIVERS)/mac.o:		$(MAMESRC)/drivers/mac.c \
				$(MAMESRC)/includes/mac.h $(MAMESRC)/machine/egret.h

$(MACHINE)/egret.o:	$(MAMESRC)/machine/egret.c\
                        	$(MAMESRC)/machine/egret.h

#-------------------------------------------------
# layout dependencies
#-------------------------------------------------

$(DRIVERS)/4004clk.o:	$(LAYOUT)/4004clk.lh
$(VIDEO)/abc1600.o:	$(LAYOUT)/abc1600.lh
$(DRIVERS)/acrnsys1.o:	$(LAYOUT)/acrnsys1.lh
$(DRIVERS)/aim65.o:	$(LAYOUT)/aim65.lh
$(DRIVERS)/aim65_40.o:	$(LAYOUT)/aim65_40.lh
$(DRIVERS)/amico2k.o:	$(LAYOUT)/amico2k.lh
$(DRIVERS)/avigo.o:	$(LAYOUT)/avigo.lh
$(DRIVERS)/babbage.o:	$(LAYOUT)/babbage.lh
$(DRIVERS)/beta.o:		$(LAYOUT)/beta.lh
$(DRIVERS)/bob85.o:	$(LAYOUT)/bob85.lh
$(DRIVERS)/cdi.o:		$(LAYOUT)/cdi.lh
$(DRIVERS)/chessmst.o:	$(LAYOUT)/chessmst.lh
$(DRIVERS)/cvicny.o:	$(LAYOUT)/cvicny.lh
$(DRIVERS)/coco.o:		$(LAYOUT)/coco3.lh
$(DRIVERS)/cosmicos.o:	$(LAYOUT)/cosmicos.lh
$(DRIVERS)/c80.o:		$(LAYOUT)/c80.lh
$(DRIVERS)/dectalk.o:	$(LAYOUT)/dectalk.lh
$(DRIVERS)/dolphin.o:	$(LAYOUT)/dolphin.lh
$(DRIVERS)/e01.o:		$(LAYOUT)/e01.lh
$(DRIVERS)/eacc.o:		$(LAYOUT)/eacc.lh
$(DRIVERS)/elf.o:		$(LAYOUT)/elf2.lh
$(DRIVERS)/elekscmp.o:	$(LAYOUT)/elekscmp.lh
$(DRIVERS)/et3400.o:	$(LAYOUT)/et3400.lh
$(DRIVERS)/ex800.o:	$(LAYOUT)/ex800.lh
$(DRIVERS)/fidelz80.o:	$(LAYOUT)/fidelz80.lh \
							$(LAYOUT)/abc.lh \
							$(LAYOUT)/vsc.lh
$(DRIVERS)/glasgow.o:	$(LAYOUT)/glasgow.lh
$(DRIVERS)/h8.o:		$(LAYOUT)/h8.lh
$(DRIVERS)/k1003.o:	$(LAYOUT)/k1003.lh
$(DRIVERS)/kim1.o:		$(LAYOUT)/kim1.lh
$(DRIVERS)/junior.o:	$(LAYOUT)/junior.lh
$(DRIVERS)/lc80.o:		$(LAYOUT)/lc80.lh
$(DRIVERS)/lynx.o:		$(LAYOUT)/lynx.lh
$(DRIVERS)/lx800.o:	$(LAYOUT)/lx800.lh
$(DRIVERS)/mac.o:		$(LAYOUT)/mac.lh
$(DRIVERS)/mekd2.o:	$(LAYOUT)/mekd2.lh
$(DRIVERS)/mephistom.o:	$(LAYOUT)/mephisto.lh
$(DRIVERS)/mikrolab.o:	$(LAYOUT)/mikrolab.lh
$(DRIVERS)/mk1.o:		$(LAYOUT)/mk1.lh
$(DRIVERS)/mk14.o:		$(LAYOUT)/mk14.lh
$(DRIVERS)/mk2.o:		$(LAYOUT)/mk2.lh
$(DRIVERS)/mmd1.o:		$(LAYOUT)/mmd1.lh \
							$(LAYOUT)/mmd2.lh
$(DRIVERS)/mpf1.o:		$(LAYOUT)/mpf1.lh \
							$(LAYOUT)/mpf1b.lh \
							$(LAYOUT)/mpf1p.lh
$(VIDEO)/newbrain.o:	$(LAYOUT)/newbrain.lh
$(DRIVERS)/neogeo.o:	$(LAYOUT)/neogeo.lh
$(DRIVERS)/ng_aes.o:	$(LAYOUT)/neogeo.lh
$(DRIVERS)/pc1500.o:	$(LAYOUT)/pc1500.lh
$(VIDEO)/pc8401a.o:	$(LAYOUT)/pc8500.lh
$(DRIVERS)/pcw.o:		$(LAYOUT)/pcw.lh
$(DRIVERS)/pmi80.o:	$(LAYOUT)/pmi80.lh
$(DRIVERS)/poly880.o:	$(LAYOUT)/poly880.lh
$(DRIVERS)/pro80.o:	$(LAYOUT)/pro80.lh
$(DRIVERS)/px4.o:		$(LAYOUT)/px4.lh
$(DRIVERS)/px8.o:		$(LAYOUT)/px8.lh
$(DRIVERS)/savia84.o:	$(LAYOUT)/savia84.lh
$(DRIVERS)/sc2.o:		$(LAYOUT)/sc2.lh
$(DRIVERS)/sdk85.o:	$(LAYOUT)/sdk85.lh
$(DRIVERS)/sdk86.o:	$(LAYOUT)/sdk86.lh
$(DRIVERS)/selz80.o:	$(LAYOUT)/selz80.lh
$(DRIVERS)/sitcom.o:	$(LAYOUT)/sitcom.lh
$(DRIVERS)/slc1.o:		$(LAYOUT)/slc1.lh
$(DRIVERS)/smsm.o:		$(LAYOUT)/sms1.lh
$(DRIVERS)/stopthie.o:	$(LAYOUT)/stopthie.lh
$(DRIVERS)/super80.o:	$(LAYOUT)/super80.lh
$(DRIVERS)/supercon.o:	$(LAYOUT)/supercon.lh
$(DRIVERS)/svision.o:	$(LAYOUT)/svision.lh
$(DRIVERS)/sym1.o:		$(LAYOUT)/sym1.lh
$(DRIVERS)/tec1.o:		$(LAYOUT)/tec1.lh
$(DRIVERS)/tk80bs.o:	$(LAYOUT)/tk80.lh
$(DRIVERS)/tm990189.o:	$(LAYOUT)/tm990189.lh $(LAYOUT)/tm990189v.lh
$(DRIVERS)/unixpc.o:	$(LAYOUT)/unixpc.lh
$(DRIVERS)/ut88.o:		$(LAYOUT)/ut88mini.lh
$(DRIVERS)/vboy.o:		$(LAYOUT)/vboy.lh
$(DRIVERS)/vcs80.o:	$(LAYOUT)/vcs80.lh
$(DRIVERS)/votrpss.o:	$(LAYOUT)/votrpss.lh
$(DRIVERS)/votrtnt.o:	$(LAYOUT)/votrtnt.lh
$(DRIVERS)/vt100.o:	$(LAYOUT)/vt100.lh
$(DRIVERS)/x68k.o:		$(LAYOUT)/x68000.lh
$(DRIVERS)/z80dev.o:	$(LAYOUT)/z80dev.lh
$(DRIVERS)/z80ne.o:	$(LAYOUT)/z80ne.lh   \
							$(LAYOUT)/z80net.lh  \
							$(LAYOUT)/z80netb.lh \
							$(LAYOUT)/z80netf.lh


#-------------------------------------------------
# MESS-specific tools
#-------------------------------------------------

include $(MAMESRC)/tools/tools.mak


#-------------------------------------------------
# MESS special OSD rules
#-------------------------------------------------

include $(MAMESRC)/osd/$(OSD)/$(OSD).mak
